unit Clipboard;

INTERFACE
uses Exec;


type
	pSatisfyMsg = ^tSatisfyMsg;
	tSatisfyMsg = record
		sm_Msg: tMessage;
		sm_Unit: word;
		sm_ClipID: longint;
		end;

	pClipboardUnitPartial = ^tClipboardUnitPartial;
	tClipboardUnitPartial = record
		cu_Node: tNode;
		cu_UnitNum: long;
		end;

	pIOClipReq = ^tIOClipReq;
	tIOClipReq = record
		io_Message: tMessage;
		io_Device: pDevice;
		io_Unit: pUnit;
		io_Command: word;
		io_Flags: byte;
		io_Error: shortint;
		io_Actual: long;
		io_Length: long;
		io_Data: STRPTR;
		io_Offset: long;
		io_ClipID: longint;
		end;



const
	CBD_POST = 9;
	PRIMARY_CLIP = 0;
	CBD_CURRENTREADID = $A;
	CBD_CURRENTWRITEID = $B;
	CBERR_OBSOLETEID = 1;


IMPLEMENTATION
end.
