unit SCSI;

INTERFACE
uses Exec;


type
	pSCSICmd = ^tSCSICmd;
	tSCSICmd = record
		scsi_Data: pword;
		scsi_Length: long;
		scsi_Actual: long;
		scsi_Command: pbyte;
		scsi_CmdLength: word;
		scsi_CmdActual: word;
		scsi_Flags: byte;
		scsi_Status: byte;
		end;



const
	HFERR_NoBoard = $32;
	HD_SCSICMD = $1C;
	SCSIF_READ = 1;
	SCSIF_WRITE = 0;
	HFERR_Phase = $2A;
	HFERR_BadStatus = $2D;
	HFERR_SelfUnit = $28;
	HFERR_DMA = $29;
	HFERR_SelTimeout = $2C;
	HFERR_Parity = $2B;


IMPLEMENTATION
end.
